Interface
Related record query request options. Additional arguments can be passed via the IQueryRelatedOptions.params property. See the REST Documentation for more information and a full list of parameters.
Properties
| Property | Type | Notes |
|---|---|---|
authenticationinherited | string | IAuthenticationManager | The instance of |
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
definitionExpression | string | |
fetchOptionsinherited | RequestInit | anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options. |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL query parameter that is saved in browser history. |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
objectIds | number[] | |
outFields | string[] | "*" | |
paramsinherited | IParams | Record<string, any> | Additional parameters to pass in the request. |
portalinherited | string | Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'. |
rawResponseinherited | boolean | Return the raw response |
relationshipId | number | |
requestFlagsinherited | IRequestFlags | ArcGIS REST JS runtime flags. |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
urlinherited | string | Layer service url. |
authentication
authentication: string | IAuthenticationManagerThe instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.
credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
fetchOptions
fetchOptions: RequestInitanything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.
headers
headers: {}Additional Headers to pass into the request.
Type declaration
hideToken
hideToken: booleanPrevents the token from being passed in a URL query parameter that is saved in browser history.
httpMethod
httpMethod: HTTPMethodsThe HTTP method to send the request with.
maxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
params
params: IParams | Record<string, any>Additional parameters to pass in the request.
portal
portal: stringBase url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.
requestFlags
requestFlags: IRequestFlagsArcGIS REST JS runtime flags.
signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.
suppressWarnings
suppressWarnings: booleanSuppress any ArcGIS REST JS related warnings for this request.